| CUTLASS CUDA Templates for Linear Algebra Subroutines and Solvers

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Static Public Attributes | List of all members
cutlass::epilogue::warp::FragmentIteratorVoltaTensorOp< WarpShape_, gemm::GemmShape< 32, 32, 4 >, float, layout::RowMajor > Class Template Reference

Partial specialization for row-major shared memory.

`#include <fragment_iterator_volta_tensor_op.h>`

## Public Types
using | WarpShape = WarpShape_
using | InterleavedTileShape = gemm::GemmShape< 32, 32, 4 >
using | ElementC = float
using | Layout = layout::RowMajor
using | Policy = VoltaTensorOpPolicy< WarpShape, InterleavedTileShape, ElementC, Layout >
| Policy operator. More...
using | AccessType = typename Policy::AccessType
| Array type for aligned memory accesses. More...
using | Fragment = typename Policy::Fragment
| This is the fragment size produced by one access of the iterator. More...
using | AccumulatorTile = typename Policy::AccumulatorTile
| This is the complete warp-level accumulator tile. More...

## Public Member Functions
CUTLASS_HOST_DEVICE | FragmentIteratorVoltaTensorOp (AccumulatorTile const &accum)
| Constructs an iterator. More...
CUTLASS_HOST_DEVICE FragmentIteratorVoltaTensorOp & | operator++ ()
| Increments. More...
CUTLASS_HOST_DEVICE FragmentIteratorVoltaTensorOp & | operator-- ()
| Decrements. More...
CUTLASS_HOST_DEVICE void | load (Fragment &frag, int index_offset=0) const
| Loads a fragment from the referenced part of the accumulator tile. More...

## Static Public Attributes
static int const | kIterations = Policy::kIterations
| Number of times this iterator can be incremented. More...

## Member Typedef Documentation

template<typename WarpShape_ >

using cutlass::epilogue::warp::FragmentIteratorVoltaTensorOp< WarpShape_, gemm::GemmShape< 32, 32, 4 >, float, layout::RowMajor >::AccessType = typename Policy::AccessType

template<typename WarpShape_ >

using cutlass::epilogue::warp::FragmentIteratorVoltaTensorOp< WarpShape_, gemm::GemmShape< 32, 32, 4 >, float, layout::RowMajor >::AccumulatorTile = typename Policy::AccumulatorTile

template<typename WarpShape_ >

using cutlass::epilogue::warp::FragmentIteratorVoltaTensorOp< WarpShape_, gemm::GemmShape< 32, 32, 4 >, float, layout::RowMajor >::ElementC = float

template<typename WarpShape_ >

using cutlass::epilogue::warp::FragmentIteratorVoltaTensorOp< WarpShape_, gemm::GemmShape< 32, 32, 4 >, float, layout::RowMajor >::Fragment = typename Policy::Fragment

template<typename WarpShape_ >

using cutlass::epilogue::warp::FragmentIteratorVoltaTensorOp< WarpShape_, gemm::GemmShape< 32, 32, 4 >, float, layout::RowMajor >::InterleavedTileShape = gemm::GemmShape<32, 32, 4>

template<typename WarpShape_ >

using cutlass::epilogue::warp::FragmentIteratorVoltaTensorOp< WarpShape_, gemm::GemmShape< 32, 32, 4 >, float, layout::RowMajor >::Layout = layout::RowMajor

template<typename WarpShape_ >

using cutlass::epilogue::warp::FragmentIteratorVoltaTensorOp< WarpShape_, gemm::GemmShape< 32, 32, 4 >, float, layout::RowMajor >::Policy = VoltaTensorOpPolicy<WarpShape, InterleavedTileShape, ElementC, Layout>

template<typename WarpShape_ >

using cutlass::epilogue::warp::FragmentIteratorVoltaTensorOp< WarpShape_, gemm::GemmShape< 32, 32, 4 >, float, layout::RowMajor >::WarpShape = WarpShape_

## Constructor & Destructor Documentation

template<typename WarpShape_ >

CUTLASS_HOST_DEVICE cutlass::epilogue::warp::FragmentIteratorVoltaTensorOp< WarpShape_, gemm::GemmShape< 32, 32, 4 >, float, layout::RowMajor >::FragmentIteratorVoltaTensorOp | ( | AccumulatorTile const & | accum | ) |
| inline

## Member Function Documentation

template<typename WarpShape_ >

CUTLASS_HOST_DEVICE void cutlass::epilogue::warp::FragmentIteratorVoltaTensorOp< WarpShape_, gemm::GemmShape< 32, 32, 4 >, float, layout::RowMajor >::load | ( | Fragment & | frag,
|  | int | index_offset = `0`
| ) |  | const
| inline

template<typename WarpShape_ >

CUTLASS_HOST_DEVICE FragmentIteratorVoltaTensorOp& cutlass::epilogue::warp::FragmentIteratorVoltaTensorOp< WarpShape_, gemm::GemmShape< 32, 32, 4 >, float, layout::RowMajor >::operator++ | ( |  | ) |
| inline

template<typename WarpShape_ >

CUTLASS_HOST_DEVICE FragmentIteratorVoltaTensorOp& cutlass::epilogue::warp::FragmentIteratorVoltaTensorOp< WarpShape_, gemm::GemmShape< 32, 32, 4 >, float, layout::RowMajor >::operator-- | ( |  | ) |
| inline

## Member Data Documentation

template<typename WarpShape_ >

int const cutlass::epilogue::warp::FragmentIteratorVoltaTensorOp< WarpShape_, gemm::GemmShape< 32, 32, 4 >, float, layout::RowMajor >::kIterations = Policy::kIterations
| static

The documentation for this class was generated from the following file:

- fragment_iterator_volta_tensor_op.h